petsc-3.10.5 2019-03-28
Report Typos and Errors

# TAOGPCG

gradient projected conjugate gradient algorithm is an active-set conjugate-gradient based method for bound-constrained minimization

### Options Database Keys

| -tao_gpcg_maxpgits | - maximum number of gradient projections for GPCG iterate
| -tao_subset_type | - "subvec","mask","matrix-free", strategies for handling active-sets

### Level

beginner

### Location

src/tao/quadratic/impls/gpcg/gpcg.c

### Examples

src/tao/bound/examples/tutorials/jbearing2.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages